scala.tools.reflect.WrappedProperties

# AccessControl

#### object AccessControl extends WrappedProperties

Linear Supertypes
WrappedProperties, PropertiesTrait, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AccessControl
2. WrappedProperties
3. PropertiesTrait
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clearProp(name: String): String

   Definition Classes
     WrappedProperties → PropertiesTrait

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val copyrightString: String

   Definition Classes
     PropertiesTrait

10. #### val developmentVersion: Option[String]

    Definition Classes
      PropertiesTrait

11. #### def encodingString: String

    Definition Classes
      PropertiesTrait

12. #### def envOrElse(name: String, alt: String): String

    Definition Classes
      WrappedProperties → PropertiesTrait

13. #### def envOrNone(name: String): Option[String]

    Definition Classes
      WrappedProperties → PropertiesTrait

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def isJavaAtLeast(version: String): Boolean

    Definition Classes
      PropertiesTrait

21. #### def isMac: Boolean

    Definition Classes
      PropertiesTrait

22. #### def isWin: Boolean

    Definition Classes
      PropertiesTrait

23. #### def javaClassPath: String

    Definition Classes
      PropertiesTrait

24. #### def javaHome: String

    Definition Classes
      PropertiesTrait

25. #### def javaVendor: String

    Definition Classes
      PropertiesTrait

26. #### def javaVersion: String

    Definition Classes
      PropertiesTrait

27. #### def javaVmInfo: String

    Definition Classes
      PropertiesTrait

28. #### def javaVmName: String

    Definition Classes
      PropertiesTrait

29. #### def javaVmVendor: String

    Definition Classes
      PropertiesTrait

30. #### def javaVmVersion: String

    Definition Classes
      PropertiesTrait

31. #### def jdkHome: String

    Definition Classes
      PropertiesTrait

32. #### def lineSeparator: String

    Definition Classes
      PropertiesTrait

33. #### def main(args: Array[String]): Unit

    Definition Classes
      PropertiesTrait

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### def osName: String

    Definition Classes
      PropertiesTrait

38. #### def pickJarBasedOn: Class[_ <: WrappedProperties]

    Attributes
      protected
    Definition Classes
      WrappedProperties → PropertiesTrait

39. #### def propCategory: String

    Attributes
      protected
    Definition Classes
      WrappedProperties → PropertiesTrait

40. #### val propFilename: String

    Attributes
      protected
    Definition Classes
      PropertiesTrait

41. #### def propIsSet(name: String): Boolean

    Definition Classes
      WrappedProperties → PropertiesTrait

42. #### def propIsSetTo(name: String, value: String): Boolean

    Definition Classes
      PropertiesTrait

43. #### def propOrElse(name: String, alt: String): String

    Definition Classes
      WrappedProperties → PropertiesTrait

44. #### def propOrEmpty(name: String): String

    Definition Classes
      PropertiesTrait

45. #### def propOrFalse(name: String): Boolean

    Definition Classes
      PropertiesTrait

46. #### def propOrNone(name: String): Option[String]

    Definition Classes
      PropertiesTrait

47. #### def propOrNull(name: String): String

    Definition Classes
      PropertiesTrait

48. #### val releaseVersion: Option[String]

    Definition Classes
      PropertiesTrait

49. #### def scalaCmd: String

    Definition Classes
      PropertiesTrait

50. #### def scalaHome: String

    Definition Classes
      PropertiesTrait

51. #### def scalaPropOrElse(name: String, alt: String): String

    Definition Classes
      PropertiesTrait

52. #### def scalaPropOrEmpty(name: String): String

    Definition Classes
      PropertiesTrait

53. #### def scalaPropOrNone(name: String): Option[String]

    Definition Classes
      PropertiesTrait

54. #### lazy val scalaProps: Properties

    Attributes
      protected
    Definition Classes
      PropertiesTrait

55. #### def scalacCmd: String

    Definition Classes
      PropertiesTrait

56. #### def setProp(name: String, value: String): String

    Definition Classes
      WrappedProperties → PropertiesTrait

57. #### def sourceEncoding: String

    Definition Classes
      PropertiesTrait

58. #### def sourceReader: String

    Definition Classes
      PropertiesTrait

59. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

60. #### def systemProperties: List[(String, String)]

    Definition Classes
      WrappedProperties

61. #### def tmpDir: String

    Definition Classes
      PropertiesTrait

62. #### def toString(): String

    Definition Classes
      AnyRef → Any

63. #### def userDir: String

    Definition Classes
      PropertiesTrait

64. #### def userHome: String

    Definition Classes
      PropertiesTrait

65. #### def userName: String

    Definition Classes
      PropertiesTrait

66. #### def versionMsg: String

    Definition Classes
      PropertiesTrait

67. #### def versionNumberString: String

    Definition Classes
      PropertiesTrait

68. #### val versionString: String

    Definition Classes
      PropertiesTrait

69. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

70. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

71. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

72. #### def wrap[T](body: ⇒ T): Option[T]

    Definition Classes
      AccessControl → WrappedProperties

### Inherited from WrappedProperties

### Inherited from PropertiesTrait

### Inherited from AnyRef

### Inherited from Any

### Ungrouped